package com.ruoyi.bst.floor.domain;

import com.ruoyi.common.core.validate.ValidGroup;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 楼层列表对象 bst_floor
 *
 * @author ruoyi
 * @date 2025-04-22
 */
@Data
public class Floor extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long floorId;

    @Excel(name = "分区ID")
    @ApiModelProperty("分区ID")
    @NotNull(message = "分区ID不能为空",groups = {ValidGroup.Create.class})
    private Long storeId;

    @Excel(name = "楼层名称")
    @ApiModelProperty("楼层名称")
    @NotBlank(message = "楼层名称不能为空",groups = {ValidGroup.Create.class})
    private String floorName;

    @Excel(name = "楼层图片")
    @ApiModelProperty("楼层图片")
    private String picture;

}
