package com.ruoyi.bst.floor.mapper;

import java.util.List;
import com.ruoyi.bst.floor.domain.Floor;
import com.ruoyi.bst.floor.domain.FloorVO;
import com.ruoyi.bst.floor.domain.FloorQuery;
import com.ruoyi.bst.part.domain.PartQuery;
import org.apache.ibatis.annotations.Param;

/**
 * 楼层列表Mapper接口
 *
 * @author ruoyi
 * @date 2025-04-22
 */
public interface FloorMapper
{
    /**
     * 查询楼层列表
     *
     * @param floorId 楼层列表主键
     * @return 楼层列表
     */
    FloorVO selectFloorByFloorId(Long floorId);

    /**
     * 查询楼层列表列表
     *
     * @param query 楼层列表
     * @return 楼层列表集合
     */
    List<FloorVO> selectFloorList(@Param("query")FloorQuery query);

    /**
     * 新增楼层列表
     *
     * @param floor 楼层列表
     * @return 结果
     */
    int insertFloor(Floor floor);

    /**
     * 批量新增楼层列表
     */
    int batchInsert(@Param("list") List<? extends Floor> list);

    /**
     * 批量修改楼层列表
     */
    int batchUpdate(@Param("list") List<? extends Floor> list);

    /**
     * 修改楼层列表
     *
     * @param floor 楼层列表
     * @return 结果
     */
    public int updateFloor(@Param("data") Floor floor);

    /**
     * 删除楼层列表
     *
     * @param floorId 楼层列表主键
     * @return 结果
     */
    int deleteFloorByFloorId(Long floorId);

    /**
     * 批量删除楼层列表
     *
     * @param floorIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteFloorByFloorIds(List<Long> floorIds);

    List<Long> selectIdByQuery(FloorQuery query);
}
