package com.ruoyi.bst.floor.service;

import java.util.List;
import com.ruoyi.bst.floor.domain.Floor;
import com.ruoyi.bst.floor.domain.FloorVO;
import com.ruoyi.bst.floor.domain.FloorQuery;

/**
 * 楼层列表Service接口
 *
 * @author ruoyi
 * @date 2025-04-22
 */
public interface FloorService
{
    /**
     * 查询楼层列表
     *
     * @param id 楼层列表主键
     * @return 楼层列表
     */
    public FloorVO selectFloorByFloorId(Long id, boolean scope);

    default FloorVO selectFloorByFloorId(Long id) {
        return this.selectFloorByFloorId(id, false);
    }

    public FloorVO selectOne(FloorQuery floorQuery);


    /**
     * 查询楼层列表列表
     *
     * @param floor 楼层列表
     * @return 楼层列表集合
     */
    public List<FloorVO> selectFloorList(FloorQuery floor);

    /**
     * 新增楼层列表
     *
     * @param floor 楼层列表
     * @return 结果
     */
    public int insertFloor(Floor floor);

    /**
     * 修改楼层列表
     *
     * @param floor 楼层列表
     * @return 结果
     */
    public int updateFloor(Floor floor);

    /**
     * 批量删除楼层列表
     *
     * @param floorIds 需要删除的楼层列表主键集合
     * @return 结果
     */
    public int deleteFloorByFloorIds(List<Long> floorIds);

    /**
     * 删除楼层列表信息
     *
     * @param floorId 楼层列表主键
     * @return 结果
     */
    public int deleteFloorByFloorId(Long floorId);
}
