package com.ruoyi.bst.floor.service;

import java.util.List;

public interface FloorValidator {


    /**
     * 判断当前用户是否可以选择楼层
     * @param floorId 楼层ID
     * @return 是否允许
     */
    boolean canCheckForFloor(Long floorId);


    /**
     * 当前用户是否可以编辑楼层
     * @param floorId 楼层ID
     * @return 是否可以编辑
     */
    boolean canEdit(Long floorId);

    /**
     * 当前用户是否可以删除楼层
     * @param floorIds 楼层ID列表
     * @return 是否可以删除
     */
    boolean canDeleteAll(List<Long> floorIds);
}
