package com.ruoyi.bst.lightingNum.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.bst.lightingNum.mapper.LightingNumMapper;
import com.ruoyi.bst.lightingNum.domain.LightingNum;
import com.ruoyi.bst.lightingNum.domain.LightingNumVO;
import com.ruoyi.bst.lightingNum.domain.LightingNumQuery;
import com.ruoyi.bst.lightingNum.service.LightingNumService;

/**
 * 爆灯次数列表Service业务层处理
 *
 * @author ruoyi
 * @date 2025-04-26
 */
@Service
public class LightingNumServiceImpl implements LightingNumService
{
    @Autowired
    private LightingNumMapper lightingNumMapper;

    /**
     * 查询爆灯次数列表
     *
     * @param id 爆灯次数列表主键
     * @return 爆灯次数列表
     */
    @Override
    public LightingNumVO selectLightingNumById(Long id)
    {
        return lightingNumMapper.selectLightingNumById(id);
    }

    /**
     * 查询爆灯次数列表列表
     *
     * @param lightingNum 爆灯次数列表
     * @return 爆灯次数列表
     */
    @Override
    public List<LightingNumVO> selectLightingNumList(LightingNumQuery lightingNum)
    {
        return lightingNumMapper.selectLightingNumList(lightingNum);
    }

    /**
     * 新增爆灯次数列表
     *
     * @param lightingNum 爆灯次数列表
     * @return 结果
     */
    @Override
    public int insertLightingNum(LightingNum lightingNum)
    {
        lightingNum.setCreateTime(DateUtils.getNowDate());
        return lightingNumMapper.insertLightingNum(lightingNum);
    }

    /**
     * 修改爆灯次数列表
     *
     * @param lightingNum 爆灯次数列表
     * @return 结果
     */
    @Override
    public int updateLightingNum(LightingNum lightingNum)
    {
        return lightingNumMapper.updateLightingNum(lightingNum);
    }

    /**
     * 批量删除爆灯次数列表
     *
     * @param ids 需要删除的爆灯次数列表主键
     * @return 结果
     */
    @Override
    public int deleteLightingNumByIds(Long[] ids)
    {
        return lightingNumMapper.deleteLightingNumByIds(ids);
    }

    /**
     * 删除爆灯次数列表信息
     *
     * @param id 爆灯次数列表主键
     * @return 结果
     */
    @Override
    public int deleteLightingNumById(Long id)
    {
        return lightingNumMapper.deleteLightingNumById(id);
    }
}
