package com.ruoyi.bst.part.domain;

import com.ruoyi.common.core.validate.ValidGroup;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.TreeEntity;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 分区对象 bst_part
 *
 * @author ruoyi
 * @date 2025-04-18
 */
@Data
public class Part extends TreeEntity
{
    private static final long serialVersionUID = 1L;

    private Long partId;

    @Excel(name = "楼层ID")
    @ApiModelProperty("楼层ID")
    @NotNull(message = "楼层ID不能为空",groups = ValidGroup.Create.class)
    private Long floorId;

    @Excel(name = "分区名称")
    @ApiModelProperty("分区名称")
    @NotBlank(message = "分区名称不能为空",groups = {ValidGroup.Create.class})
    private String partName;

    @Excel(name = "分区图片")
    @ApiModelProperty("分区图片")
    private String picture;

}
